#if !defined(AFX_FINDSYMBOLDLG_H__63C9A491_B7F9_11D1_AE3D_000000000000__INCLUDED_)
#define AFX_FINDSYMBOLDLG_H__63C9A491_B7F9_11D1_AE3D_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// FindSymbolDlg.h : header file
//

#include "LibDumpView.h"

/////////////////////////////////////////////////////////////////////////////
// CFindSymbolDlg dialog

class CFindSymbolDlg : public CDialog
{
// Construction
public:
	CFindSymbolDlg(CWnd* pParent = NULL);   // standard constructor
	
	CString m_strCurrentDir;
	CString m_strSymbolToSearch;
	CString m_strFolderToSearch;

// Dialog Data
	//{{AFX_DATA(CFindSymbolDlg)
	enum { IDD = IDD_FIND_SYMBOL };
	CComboBox	m_cbFilesOfType;
	CComboBox	m_cbInFolder;
	CComboBox	m_cbFindWhat;
	BOOL	m_bLookInSubFolders;
	BOOL	m_bMatchCase;
	BOOL	m_bMatchWholeWordOnly;
	int		m_nFilesOfType;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFindSymbolDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CLibDumpView* GetDumpLibView();
		
	// Generated message map functions
	//{{AFX_MSG(CFindSymbolDlg)
	virtual void OnOK();
	afx_msg void OnChooseFolder();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeFileType();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FINDSYMBOLDLG_H__63C9A491_B7F9_11D1_AE3D_000000000000__INCLUDED_)